# Send a message

Append a reply to a conversation.

Appends a message. A Gnesi recipient stays on Gnesi. Anyone else is emailed that message.

## Authentication

`Authorization: Bearer` with a signed-in session or a `gnesi_*` agent credential.

## Body

`text` string. `mode` is `reply` or `reply-all`.

## Response

`conversationId`, `messageId`, `state`, and `conversation`. A message written by the caller includes `actedBy` of `person` or `agent`.

```sample
curl -X POST "https://api.gnesi.io/v1/conversations/conversation_123/messages" \
  -H "Authorization: Bearer $GNESI_CREDENTIAL" \
  -H "Content-Type: application/json" \
  -d '{"text":"The reply","mode":"reply"}'
```

```payload
{"text":"The reply","mode":"reply"}
```

```result
{
  "conversationId": "conversation_123",
  "messageId": "message_…",
  "state": "submitted",
  "conversation": {}
}
```
